package com.foreverwin.mesnac.common.model;

import java.time.LocalDateTime;

/**
 * 
 * @Title:  CustomReportSearchConditionDynSQLConfig.java   
 * @Package com.knsdev.service.domain   
 * @Description: 自定义报表配置 检索条件动态SQL配置 基类
 * @author: Andy    
 * @date:   2020年10月16日 上午9:42:01   
 * @version V1.0 
 *
 * @History 操作记录
 * 2020年10月16日 上午9:42:01 Andy add
 *
 */
public class CustomReportSearchConditionDynSQLConfig {
	
	private String seq;
	private String dynConditionReplaceField;
	private String dynamicConditionSQL;
	private String conditionField;

	//增加insert所需字段
	private String site;
	private String customReportMainModelBo;
	private LocalDateTime modifyDateTime;
	private String modifyUser;
	private String handle;

	public String getSite() {
		return site;
	}

	public void setSite(String site) {
		this.site = site;
	}

	public String getCustomReportMainModelBo() {
		return customReportMainModelBo;
	}

	public void setCustomReportMainModelBo(String customReportMainModelBo) {
		this.customReportMainModelBo = customReportMainModelBo;
	}

	public LocalDateTime getModifyDateTime() {
		return modifyDateTime;
	}

	public void setModifyDateTime(LocalDateTime modifyDateTime) {
		this.modifyDateTime = modifyDateTime;
	}

	public String getModifyUser() {
		return modifyUser;
	}

	public void setModifyUser(String modifyUser) {
		this.modifyUser = modifyUser;
	}

	public String getHandle() {
		return handle;
	}

	public void setHandle(String handle) {
		this.handle = handle;
	}

	public String getDynConditionReplaceField() {
		return dynConditionReplaceField;
	}
	public void setDynConditionReplaceField(String dynConditionReplaceField) {
		this.dynConditionReplaceField = dynConditionReplaceField;
	}
	public String getDynamicConditionSQL() {
		return dynamicConditionSQL;
	}
	public void setDynamicConditionSQL(String dynamicConditionSQL) {
		this.dynamicConditionSQL = dynamicConditionSQL;
	}
	public String getConditionField() {
		return conditionField;
	}
	public void setConditionField(String conditionField) {
		this.conditionField = conditionField;
	}
	public String getSeq() {
		return seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
}
